-- Customer specific once-script (NYBU#25028)
-- (c) 2013 SG|facilitor bv
-- $Revision$
-- $Id$
--
-- Support: +31 53 4800700
SET ECHO ON;
SPOOL xnybu2.lst;

SET DEFINE OFF;

-- Menu-items exports
INSERT INTO fac_menu
  (fac_menu_volgnr, fac_menu_altlabel, fac_menu_altgroep, fac_functie_key, fac_menu_level)
VALUES
  (11000,  'Exports', 1, 83, 1);
INSERT INTO fac_menu
  (fac_menu_volgnr, fac_menu_altlabel, fac_menu_alturl, fac_menu_altgroep, fac_functie_key)
VALUES
  (11001,  'HUUR: Controle factuurregels', 'appl/Shared/export.asp?name=T_HUUR_CODA', 1, 83);
INSERT INTO fac_menu
  (fac_menu_volgnr, fac_menu_altlabel, fac_menu_alturl, fac_menu_altgroep, fac_functie_key)
VALUES
  (11002,  'HUUR: Factuurregels --> CODA', 'appl/Shared/export.asp?name=HUUR_CODA', 1, 83);
INSERT INTO fac_menu
  (fac_menu_volgnr, fac_menu_altlabel, fac_menu_alturl, fac_menu_altgroep, fac_functie_key)
VALUES
  (11004,  'HUUR: Mutatieregels aanmaken', 'appl/Shared/export.asp?name=HUUR_MUTATIES', 1, 83);

-- Rapportage van logging exports
CREATE OR REPLACE VIEW nybu_v_rap_huur_exports AS SELECT 1 x FROM DUAL;
INSERT INTO fac_usrrap
  (fac_usrrap_omschrijving,
   fac_usrrap_view_name,
   fac_usrrap_functie,
   fac_functie_key)
VALUES
  ('HUUR: logging exports',
   'nybu_v_rap_huur_exports',
   0,
   75);

-- Tabel voor huurarchief
DROP TABLE nybu_huur_archief;
CREATE TABLE nybu_huur_archief (
   datum_export            DATE,
   betreft                 VARCHAR(20),
   periode                 VARCHAR(6),
   deb_nr                  VARCHAR(20),
   achternaam              VARCHAR(60),
   naam_full               VARCHAR(121),
   prs_perslid_key         NUMBER,
   cnt_contract_nr         VARCHAR(30),
   cnt_contract_key        NUMBER,
   kamer                   VARCHAR(80),
   alg_ruimte_key          NUMBER,
   omschrijving            VARCHAR(100),
   kpn_code_afd            VARCHAR(30),
   kpn_code_proj           VARCHAR(30),
   prs_kostensoort_refcode VARCHAR(60),
   btw_code                VARCHAR(60),
   btw_perc                NUMBER(6,4),
   bedrag                  NUMBER(6,2),
   isMutatie               NUMBER(1),
   naar_coda               DATE
);

-- Buffertabel voor controle factuurexport
CREATE TABLE nybu_huur_buffer
AS
   SELECT * FROM nybu_huur_archief;

-- Rapportage: inhoud factuurbuffer
CREATE OR REPLACE VIEW nybu_v_rap_factuur_buffer AS SELECT 1 x FROM DUAL;
INSERT INTO fac_usrrap
  (fac_usrrap_omschrijving,
   fac_usrrap_view_name,
   fac_usrrap_functie,
   fac_functie_key)
VALUES
  ('HUUR: Factuurbuffer',
   'nybu_v_rap_factuur_buffer',
   0,
   83);


COMMIT;
SPOOL OFF;

@nybu.sql